/*
  '3D No More' kwin client

  Copyright (C) 2002 Yuheng Xie <elephant@linux.net.cn>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include <qcheckbox.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qwhatsthis.h>
#include <kcolorbutton.h>
#include <kglobal.h>
#include <klocale.h>
#include <kconfig.h>

class K3DNoMoreConfig: public QObject
{
	Q_OBJECT

public:
	K3DNoMoreConfig(KConfig *conf, QWidget *parent);
	~K3DNoMoreConfig();
signals:
	void changed();
public slots:
	void load(KConfig* conf);	
	void save(KConfig* conf);
	void defaults();
protected slots:
	void slotSelectionChanged();
	void slotSelectionChanged(const QColor &newColor);
private:
	KConfig *config;
	QCheckBox *cb3DFrame, *cbInvertGears;
	QLabel *lDashedLines, *lGears, *lButtons, *minlButtons, *maxlButtons, *closelButtons;
	QLabel *lDashedLinesDis, *lGearsDis, *lButtonsDis;
	KColorButton *cbDashedLines, *cbGears, *cbButtons, *mincbButtons, *maxcbButtons, *closecbButtons;
	KColorButton *cbDashedLinesDis, *cbGearsDis, *cbButtonsDis;
	QGroupBox *gb, *gbColors;
};

// vim: ts=2
